<?php

namespace App\Generated\V1_1\Messages\Share;

use Kamicloud\StubApi\Concerns\ValueHelper;
use Kamicloud\StubApi\Http\Messages\Message;
use Kamicloud\StubApi\Utils\Constants;

class PairApplyListShareHelpMessage extends Message
{
    use ValueHelper;

    protected $stageId;
    protected $shareUid;
    protected $lockUid;

    /**
     * 活动期数
     * @return int
     */
    public function getStageId()
    {
        return $this->stageId;
    }

    /**
     * 分享用户
     * @return int
     */
    public function getShareUid()
    {
        return $this->shareUid;
    }

    /**
     * 解锁用户
     * @return int
     */
    public function getLockUid()
    {
        return $this->lockUid;
    }

    public function requestRules()
    {
        return [
            ['stageId', 'stage_id', 'bail|integer', Constants::INTEGER, null],
            ['shareUid', 'share_uid', 'bail|integer', Constants::INTEGER, null],
            ['lockUid', 'lock_uid', 'bail|integer', Constants::INTEGER, null],
        ];
    }

    public function responseRules()
    {
        return [
        ];
    }

    public function setResponse()
    {
    }

}
